#!/usr/bin/env python3

import sys

times = [0,0,0,0]
average = times
average_fps = 0
cnt = 0

if(len(sys.argv) < 2):
    print("Use case : ./exec [output_file_name]")
    exit()

with open(sys.argv[1]) as file:

    lines = file.readlines()
    for i in range(1, len(lines)):
        line = lines[i]
        cnt += 1
        str_values = line.split(",")
        values = [ int(v.rstrip("\n")) for v in str_values ]
        for n in range(0, len(times)):
            times[n] += values[n]


if(cnt > 0):
    average = [ float(time)/cnt for time in times ]
    average_fps = 1000.0 / sum(average)


print("Average times in ms :")
print("Capture : {}".format(average[0]))
print("Get depth frame : {}".format(average[1]))
print("Get color frame : {}".format(average[2]))
print("Adjust frame : {}".format(average[3]))
print("With an average fps of : {}".format(average_fps))



